package com.ruoyi.ie.service;

import java.util.List;
import com.ruoyi.ie.domain.AEnrollScore;

/**
 * 院校考生考核成绩部分Service接口
 * 
 * @author voluntary
 * @date 2023-11-26
 */
public interface IAEnrollScoreService 
{
    /**
     * 查询院校考生考核成绩部分
     * 
     * @param id 院校考生考核成绩部分主键
     * @return 院校考生考核成绩部分
     */
    public AEnrollScore selectAEnrollScoreById(Long id);

    /**
     * 查询院校考生考核成绩部分列表
     * 
     * @param aEnrollScore 院校考生考核成绩部分
     * @return 院校考生考核成绩部分集合
     */
    public List<AEnrollScore> selectAEnrollScoreList(AEnrollScore aEnrollScore);

    /**
     * 新增院校考生考核成绩部分
     * 
     * @param aEnrollScore 院校考生考核成绩部分
     * @return 结果
     */
    public int insertAEnrollScore(AEnrollScore aEnrollScore);

    /**
     * 修改院校考生考核成绩部分
     * 
     * @param aEnrollScore 院校考生考核成绩部分
     * @return 结果
     */
    public int updateAEnrollScore(AEnrollScore aEnrollScore);

    /**
     * 批量删除院校考生考核成绩部分
     * 
     * @param ids 需要删除的院校考生考核成绩部分主键集合
     * @return 结果
     */
    public int deleteAEnrollScoreByIds(Long[] ids);

    /**
     * 删除院校考生考核成绩部分信息
     * 
     * @param id 院校考生考核成绩部分主键
     * @return 结果
     */
    public int deleteAEnrollScoreById(Long id);
}
